---
title: "Personalize Bulk-Issued Card"
source_url: https://docs.rapyd.net/en/personalize-bulk-issued-card.html
lang: en
---

# Personalize Bulk-Issued Card

Create a connection between an issued card and a wallet contact.

Relevant to cards that are issued in bulk and not assigned to any specific person. This method can be used only once per card.

This method triggers the [Bulk-Issued Card Personalized Webhook](https://docs.rapyd.net/en/bulk-issued-card-personalized-webhook.md "Bulk-Issued Card Personalized Webhook").

> **Note:**
>
> Clients with [PCI](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_pci "Payment Card Industry") certification can handle personal identifying information for cards, such as card number.

### Parameters

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - idempotency
  - A unique key that prevents the platform from creating the same object twice.

    See [Idempotency](https://docs.rapyd.net/en/idempotency.md "Idempotency").
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Request Body Parameters

- - card
  - The card token, which is a string starting with **card_**. If the client is PCI-certified, you can use the actual card number.
- - ewallet_contact
  - ID of the wallet contact that the card is issued to. String starting with **cont_**.

### Response Parameters

- - activated_at
  - Time that the card was activated, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time").
- - assigned_at
  - Time that the card was assigned to a cardholder, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time").
- - blocked_reason
  - Reason for blocking the card. One of the following:

    - **blocked_reversible**
    - **canceled**
    - **compliance**
    - **locked_incorrect_pin**
    - **migrated**
    - **none**
    - **other**
    - **reissued**
    - **suspected_fraud**
- - blocked_reason_code
  - Three letter code for the reason for blocking the card. One of the following values:

    - **CAN** - Canceled
    - **COM** - Compliance
    - **LOC** - Locked due to incorrect PIN
    - **LOS** - Lost
    - **MIG** - Migrated
    - **OTH** - Other
    - **REI** - Reissued
    - **SFR** - Suspected fraud
    - **STO** - Stolen
- - blocked_reason_desc
  - Short description of the blocking reason.
- - card_id
  - ID of the card. String starting with **card_**.
- - card_program
  - ID of the card program. String starting with **cardprog_**.
- - card_status_initiator
  - The initiator that asked for the card status update. One of the following three letter codes:

    - **CAH** - Cardholder
    - **COM** -Compliance operation
    - **DET** - Detect
    - **IGW** - Issuing gateway
    - **ISM** - Issuing merchant
    - **RSK** - Risk operation
    - **PRO** - Protect
- - card_status_initiator_desc
  - Description of the `card_status_initiator` code.
- - card_tracking_id
  - ID of the card for purposes of tracking.
- - country_iso_alpha_2
  - The country where the card is issued. Two-letter ISO 3166-1 ALPHA-2 code.
- - created_at
  - Time of creation of the issued card object, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time").
- - ewallet_contact
  - Describes the wallet contact that the card is assigned to. String starting with **cont_**. For details about the fields of the 'contact' object, see [Add Contact to Wallet](https://docs.rapyd.net/en/add-contact-to-wallet.md "Add Contact to Wallet").
- - id
  - ID of the issued card object. String starting with **ci_**.
- - metadata
  - A JSON object defined by the client. See [Metadata](https://docs.rapyd.net/en/metadata.md "Metadata").
- - public_details
  - Status of the card. One of the following:

    - `bin` - Bank ID number (BIN).
    - `last4` - Last 4 digits of the card.
    - `sub_bin` - Sub-BIN.
    - `expiration` - Expiration date as 4 digits.
- - status
  - Status of the card. One of the following:

    - **ACT** - Active.
    - **BLO** - Blocked.
    - **IMP** - Imported in bulk, but not yet personalized.
    - **INA** - Inactive.

### Code Samples

- - .NET

    - ```csharp
      using System;
      using System.Text.Json;

      namespace RapydApiRequestSample
      {
          class Program
          {
              static void Main(string[] args)
              {
                  try
                  {
                      var requestObj = new
                      {
                          card_number = "5154575881341139",
                          ewallet_contact = "cont_c34bd6bfd9575f6f7b06647999a93126",

                      };

                      string request = JsonSerializer.Serialize(requestObj);

                      string result = RapydApiRequestSample.Utilities.MakeRequest("POST", "/v1/issuing/cards/personalize", request);
                      Console.WriteLine(result);
                  }
                  catch (Exception e)
                  {
                      Console.WriteLine("Error completing request: " + e.Message);
                  }
              }
          }
      }
      ```
- - JavaScript

    - ```javascript
      const makeRequest = require('../../../../Utilities/JS/utilities').makeRequest;

      async function main() {
        try {
          const body = {
            card_number: '5154575881341139',
            ewallet_contact: 'cont_c34bd6bfd9575f6f7b06647999a93126'
          };
          const result = await makeRequest('POST', '/v1/issuing/cards/personalize', body);

          console.log(result);
        } catch (error) {
          console.error('Error completing request', error);
        }
      }
      ```
- - PHP

    - ```php
      <?php
      $path = $_SERVER['DOCUMENT_ROOT'];
      $path .= "/code_race_2020/Utilities/PHP/utilities.php";
      include($path);
      $body = [
              "card_number" => "5154575881341139",
                      "ewallet_contact" => "cont_c34bd6bfd9575f6f7b06647999a93126"
      ];
      try {
          $object = make_request('post', '/v1/issuing/cards/personalize', $body);
          var_dump($object);
      } catch(Exception $e) {
          echo "Error: $e";
      }
      ?>
      ```
- - Python

    - ```python
      from pprint import pprint

      from utilities import make_request

      body = {
          "card_number": "5154575881341139",
          "ewallet_contact": "cont_c34bd6bfd9575f6f7b06647999a93126"
      }

      results = make_request(method='post', path=f'/v1/issuing/cards/personalize', body=body)
      pprint(results)
      ```

- /v1/issuing/cards/personalize

- Personalize by Card ID
- ```curl
  curl -X post
  https://sandboxapi.rapyd.net/v1/issuing/cards/personalize
  -H 'access_key: your-access-key-here'
  -H 'Content-Type: application/json'
  -H 'idempotency: your-idempotency-parameter-here'
  -H 'salt: your-random-string-here'
  -H 'signature: your-calculated-signature-here'
  -H 'timestamp: your-unix-timestamp-here'
  -d '{
    "card": "card_fe54539ff0c12d6f94ca5d9226a337e8",
    "ewallet_contact": "cont_dc0e413833ca2a779a71157d9afdec0c"
  }
  '
  ```
- ```json
  {
    "status": {
      "error_code": "",
      "status": "SUCCESS",
      "message": "",
      "response_code": "",
      "operation_id": "423e29fe-f67b-4ef3-8e32-28dc88152ede"
    },
    "data": {
      "id": "ci_600ff38e46d86e09f600bf626d56d353",
      "ewallet_contact": {
        "id": "cont_dc0e413833ca2a779a71157d9afdec0c",
        "first_name": "John",
        "last_name": "Doe",
        "middle_name": "Robert",
        "second_last_name": "",
        "gender": "not_applicable",
        "marital_status": "not_applicable",
        "house_type": "",
        "contact_type": "personal",
        "phone_number": "+14155551234",
        "email": "johndoe@rapyd.net",
        "identification_type": "DL",
        "identification_number": "1234567890",
        "issued_card_data": {
          "preferred_name": "",
          "transaction_permissions": "",
          "role_in_company": ""
        },
        "date_of_birth": "1985-11-22",
        "country": "US",
        "nationality": "US",
        "address": {
          "id": "address_d3639b30eb22c07d780995150e23c864",
          "name": "John Doe",
          "line_1": "123 Main Street",
          "line_2": "",
          "line_3": "",
          "city": "New York",
          "state": "NY",
          "country": "US",
          "zip": "12345",
          "phone_number": "+14155551611",
          "metadata": {},
          "canton": "",
          "district": "",
          "created_at": 1639317922
        },
        "ewallet": "ewallet_03b1e863649bcf0d76b44d1e0de77ee3",
        "created_at": 1639317922,
        "metadata": {},
        "business_details": null,
        "compliance_profile": 0,
        "verification_status": "not verified",
        "send_notifications": false,
        "mothers_name": "Jane Smith"
      },
      "status": "INA",
      "card_id": "card_fe54539ff0c12d6f94ca5d9226a337e8",
      "assigned_at": 1639318522,
      "activated_at": 0,
      "metadata": {},
      "country_iso_alpha_2": "MX",
      "created_at": 1633944613,
      "blocked_reason": "none",
      "card_program": "cardprog_635ed7a22beefae8af4268ada1d7b624"
    }
  }
  ```

- Personalize by Card Number
- ```curl
  curl -X post
  https://sandboxapi.rapyd.net/v1/issuing/cards/personalize
  -H 'access_key: your-access-key-here'
  -H 'Content-Type: application/json'
  -H 'idempotency: your-idempotency-parameter-here'
  -H 'salt: your-random-string-here'
  -H 'signature: your-calculated-signature-here'
  -H 'timestamp: your-unix-timestamp-here'
  -d '{
  	"card": "5154575881341139",
  	"ewallet_contact": "cont_c34bd6bfd9575f6f7b06647999a93126"
  }
  '
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "17bd102c-817b-4c0a-b86d-196a4f77fa36"
      },
      "data": {
          "id": "ci_477530739264d055f0d79b6dff2e1f69",
          "ewallet_contact": {
              "id": "cont_c34bd6bfd9575f6f7b06647999a93126",
              "first_name": "John",
              "last_name": "Doe",
              "middle_name": "",
              "second_last_name": "",
              "gender": "not_applicable",
              "marital_status": "not_applicable",
              "house_type": "",
              "contact_type": "personal",
              "phone_number": "+14155551234",
              "email": "johndoe@rapyd.net",
              "identification_type": "PA",
              "identification_number": "1234567890",
              "date_of_birth": "2000-11-22",
              "country": "US",
              "nationality": "FR",
              "address": {
                  "id": "address_0369eae8bddfc70521f9407212a7b675",
                  "name": "John Doe",
                  "line_1": "123 Main Street",
                  "line_2": "",
                  "line_3": "",
                  "city": "Anytown",
                  "state": "New State",
                  "country": "US",
                  "zip": "12345",
                  "phone_number": "",
                  "metadata": {},
                  "canton": "",
                  "district": "",
                  "created_at": 1606059282
              },
              "ewallet": "ewallet_755b0fd11fd22b33328fff7d30f3ce30",
              "created_at": 1606059282,
              "metadata": {},
              "business_details": null,
              "compliance_profile": 0,
              "verification_status": "not verified",
              "send_notifications": false,
              "mothers_name": ""
          },
          "status": "INA",
          "card_id": "card_f8dd3aa099444e1c80cc5a06de38b165",
          "assigned_at": 1615445930,
          "activated_at": 0,
          "metadata": {},
          "country_iso_alpha_2": "MX",
          "created_at": 1615445930,
          "blocked_reason": "none",
          "card_tracking_id": null,
          "card_program": "cardprog_4cfc25744236cb4168b85d5623498799"
      }
  }
  ```
